package de.hhu.ba.yoshikoWrapper.swing;

import javax.swing.GroupLayout;
import javax.swing.GroupLayout.Alignment;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

import de.hhu.ba.yoshikoWrapper.core.LocalizationManager;
import de.hhu.ba.yoshikoWrapper.core.YoshUtil;
import de.hhu.ba.yoshikoWrapper.swing.components.YoshikoHeader;

/**Factory for a simple About-Dialog that provides some basic info about the software
 *
 */
public class AboutDialogFactory{
	
	private static JPanel getDialogPanel() {
		
		JPanel ret = new JPanel();
		
		final YoshikoHeader header;
		final JLabel version;
		final JLabel text;
		
		header = new YoshikoHeader();
		version = new JLabel(LocalizationManager.get("wrapperVersion")+": "+YoshUtil.version);
		text = new JLabel(LocalizationManager.get("about"));
		
		SwingUtil.addAll(ret, header,version,text);
		
		GroupLayout layout = new GroupLayout(ret);
		layout.setAutoCreateGaps(true);
		layout.setHorizontalGroup(layout.createParallelGroup(Alignment.CENTER)
			.addComponent(header)
			.addComponent(version)
			.addComponent(text)
		);
		layout.setVerticalGroup(layout.createSequentialGroup()
			.addComponent(header)
			.addComponent(version)
			.addComponent(text)
		);
		
		ret.setLayout(layout);
					
		return ret;
	}

	public static void showDialog() {
		JOptionPane.showMessageDialog(
				null,
				getDialogPanel(),
				LocalizationManager.get("aboutTitle"),
				JOptionPane.PLAIN_MESSAGE);
	}
}
